deploy:
  services:
    service-gateway:
      source-jar: service-gateway-1.0.0-SNAPSHOT.jar
    service-queue:
      order: 1
      source-jar: service-queue-1.0.0-SNAPSHOT.jar
      replicas: 1
      arguments:
        "[data.save.enable]": true
        "[data.save.location]": ${deploy.runtime.data-path}
    service-api:
      order: 1
      source-jar: service-api-1.0.0-SNAPSHOT.jar
      replicas: 10
      arguments:
        "[spring.datasource.url]": ${deploy.runtime.database.config.url}
        "[spring.datasource.username]": ${deploy.runtime.database.config.username}
        "[spring.datasource.password]": ${deploy.runtime.database.config.password}
        "[spring.datasource.driver-class-name]": ${deploy.runtime.database.config.driver-class-name}
    service-scheduler:
      order: 3
      groups:
        - "service"
        - "service-hudi"
      source-jar: service-scheduler-1.0.0-SNAPSHOT.jar
      replicas: 1
    service-launcher-b1:
      order: 4
      groups:
        - "service"
        - "service-hudi"
        - "service-hudi-launcher"
      source-jar: service-launcher-b2b1-1.0.0-SNAPSHOT.jar
      replicas: 6
      environments:
        "[connector.hadoop.kerberos-principal]": ${deploy.runtime.user}/$\{hostname}.hdp.dc@ECLD.COM
        "[connector.hadoop.kerberos-keytab-path]": ${deploy.runtime.kerberos-keytab-path}
        "[connector.hudi.app-hdfs-path]": ${deploy.runtime.hudi.app-hdfs-path}
        "[connector.hudi.app-test-hdfs-path]": ${deploy.runtime.hudi.app-test-hdfs-path}
      arguments:
        "[spring.application.name]": service-launcher-b1
        "[connector.cluster.cluster]": b1
        "[connector.cluster.sync-queue-name]": sync-queue-b1
        "[connector.cluster.compaction-queue-name]": compaction-queue-b1
        "[connector.zookeeper.connect-url]": ${deploy.runtime.connector-zk-url}
    service-launcher-a4:
      order: 4
      groups:
        - "service"
        - "service-hudi"
        - "service-hudi-launcher"
      source-jar: service-launcher-b2a4-1.0.0-SNAPSHOT.jar
      replicas: 6
      environments:
        "[connector.hadoop.kerberos-principal]": ${deploy.runtime.user}/$\{hostname}.hdp.dc@ECLD.COM
        "[connector.hadoop.kerberos-keytab-path]": ${deploy.runtime.kerberos-keytab-path}
        "[connector.hudi.app-hdfs-path]": ${deploy.runtime.hudi.app-hdfs-path}
        "[connector.hudi.app-test-hdfs-path]": ${deploy.runtime.hudi.app-test-hdfs-path}
      arguments:
        "[spring.application.name]": service-launcher-a4
        "[connector.cluster.cluster]": a4
        "[connector.cluster.sync-queue-name]": sync-queue-a4
        "[connector.cluster.compaction-queue-name]": compaction-queue-a4
        "[connector.zookeeper.connect-url]": ${deploy.runtime.connector-zk-url}
    service-launcher-b12:
      order: 4
      groups:
        - "service"
        - "service-hudi"
        - "service-hudi-launcher"
      source-jar: service-launcher-b2b12-1.0.0-SNAPSHOT.jar
      replicas: 6
      environments:
        "[connector.hadoop.kerberos-principal]": ${deploy.runtime.user}/$\{hostname}.hdp.dc@ECLD.COM
        "[connector.hadoop.kerberos-keytab-path]": ${deploy.runtime.kerberos-keytab-path}
        "[connector.hudi.app-hdfs-path]": ${deploy.runtime.hudi.app-hdfs-path}
        "[connector.hudi.app-test-hdfs-path]": ${deploy.runtime.hudi.app-test-hdfs-path}
      arguments:
        "[spring.application.name]": service-launcher-b12
        "[connector.cluster.cluster]": b12
        "[connector.cluster.sync-queue-name]": sync-queue-b12
        "[connector.cluster.compaction-queue-name]": compaction-queue-b12
        "[connector.zookeeper.connect-url]": ${deploy.runtime.connector-zk-url}
    service-info-query:
      order: 1
      groups:
        - "service"
      source-jar: service-info-query-1.0.0-SNAPSHOT.jar
      replicas: 10
      arguments:
        "[spring.datasource.url]": ${deploy.runtime.database.config.url}
        "[spring.datasource.username]": ${deploy.runtime.database.config.username}
        "[spring.datasource.password]": ${deploy.runtime.database.config.password}
        "[spring.datasource.driver-class-name]": ${deploy.runtime.database.config.driver-class-name}
    service-yarn-query:
      order: 2
      groups:
        - "service"
      source-jar: service-yarn-query-1.0.0-SNAPSHOT.jar
      replicas: 20
    service-zookeeper-query:
      order: 2
      groups:
        - "service"
      source-jar: service-zookeeper-query-1.0.0-SNAPSHOT.jar
      replicas: 10
      arguments:
        "[connector.zookeeper.connect-url]": ${deploy.runtime.connector-zk-url}
    service-hudi-query:
      order: 2
      groups:
        - "service"
      source-jar: service-hudi-query-1.0.0-SNAPSHOT.jar
      replicas: 20
    service-pulsar-query:
      order: 2
      groups:
        - "service"
      source-jar: service-pulsar-query-1.0.0-SNAPSHOT.jar
      replicas: 10
    service-flink-query:
      order: 2
      groups:
        - "service"
      source-jar: service-flink-query-1.0.0-SNAPSHOT.jar
      replicas: 10
    service-cloud-query:
      order: 1
      groups:
        - "service"
      source-jar: service-cloud-query-1.0.0-SNAPSHOT.jar
      replicas: 5
    service-executor-manager:
      order: 4
      groups:
        - "service"
      source-jar: service-executor-manager-1.0.0-SNAPSHOT.jar
      replicas: 5
      environments:
        "[connector.hadoop.kerberos-principal]": ${deploy.runtime.user}/$\{hostname}.hdp.dc@ECLD.COM
        "[connector.hadoop.kerberos-keytab-path]": ${deploy.runtime.kerberos-keytab-path}
      arguments:
        "[executor.task-jar-path]": ${deploy.runtime.executor.task-jar-path}
        "[executor.task-result-path]": ${deploy.runtime.executor.task-result-path}
    service-web:
      order: 5
      groups:
        - "service"
      source-jar: service-web-1.0.0-SNAPSHOT.jar
      replicas: 3
    service-exporter:
      order: 5
      groups:
        - "service"
      source-jar: service-exporter-1.0.0-SNAPSHOT.jar
      replicas: 3
    service-monitor:
      order: 5
      groups:
        - "service"
      source-jar: service-monitor-1.0.0-SNAPSHOT.jar
      replicas: 1
    service-ai-chat:
      order: 6
      groups:
        - "ai"
      source-jar: service-ai-chat-1.0.0-SNAPSHOT.jar
      jdk: "jdk17"
      replicas: 1
    service-ai-knowledge:
      order: 6
      groups:
        - "ai"
      source-jar: service-ai-knowledge-1.0.0-SNAPSHOT.jar
      jdk: "jdk17"
      replicas: 1
      arguments:
        "[knowledge.upload-path]": ${deploy.runtime.data-path}/knowledge
        "[spring.datasource.url]": ${deploy.runtime.database.config.url}
        "[spring.datasource.username]": ${deploy.runtime.database.config.username}
        "[spring.datasource.password]": ${deploy.runtime.database.config.password}
        "[spring.datasource.driver-class-name]": ${deploy.runtime.database.config.driver-class-name}
